<?php
/*
*  @author metacreo <metacreo@newestvision.com>
*/

if (!defined('_PS_VERSION_')) {
    exit;
}

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting` (
 `id_voting` int UNSIGNED NOT NULL AUTO_INCREMENT,
 `view` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `modal` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 `multiple` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `can_close` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `can_dismiss` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `delay` int UNSIGNED NOT NULL DEFAULT 0,
 `on_pc` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `on_mobile` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `on_tablet` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_index` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_category` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_product` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_cms` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_cart` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_order` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_orderconfirmation` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_myaccount` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_contact` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_manufacturer` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_newproducts` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_pricesdrop` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `page_bestsales` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `show_title` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `active` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `date_add` datetime NOT NULL,
 `date_upd` datetime NOT NULL,
 `position` int UNSIGNED NOT NULL DEFAULT 0,
 PRIMARY KEY (`id_voting`),
 KEY `display` (`on_pc`,`on_mobile`,`on_tablet`),
 KEY `page` (`page_index`,`page_category`,`page_product`,`page_cms`,`page_cart`,`page_order`,`page_orderconfirmation`,
 `page_myaccount`,`page_contact`,`page_manufacturer`,`page_newproducts`,`page_pricesdrop`,`page_bestsales`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_category` (
 `id_voting` int UNSIGNED NOT NULL,
 `id_category` int UNSIGNED NOT NULL,
 PRIMARY KEY (`id_voting`, `id_category`),
 KEY `id_category` (`id_category`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_group` (
 `id_voting` int UNSIGNED NOT NULL,
 `id_group` int UNSIGNED NOT NULL,
 PRIMARY KEY (`id_voting`,`id_group`),
 KEY `id_group` (`id_group`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_lang` (
 `id_voting` int UNSIGNED NOT NULL,
 `id_lang` int UNSIGNED NOT NULL,
 `name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 `thanks_header` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 `thanks_text` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 PRIMARY KEY (`id_voting`,`id_lang`),
 KEY `id_lang` (`id_lang`,`name`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_option` (
`id_voting_option` int UNSIGNED NOT NULL AUTO_INCREMENT,
`id_voting` int UNSIGNED NOT NULL,
`show_title` tinyint UNSIGNED NOT NULL DEFAULT 0,
`show_count` tinyint UNSIGNED NOT NULL DEFAULT 0,
`active` tinyint UNSIGNED NOT NULL DEFAULT 0,
`date_add` datetime NOT NULL,
`date_upd` datetime NOT NULL,
`position` int UNSIGNED NOT NULL DEFAULT 0,
PRIMARY KEY (`id_voting_option`),
KEY `voting_option` (`id_voting_option`,`id_voting`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_option_lang` (
 `id_voting_option` int UNSIGNED NOT NULL,
 `id_lang` int UNSIGNED NOT NULL,
 `name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 `button` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
 PRIMARY KEY (`id_voting_option`,`id_lang`),
 KEY `option_name` (`name`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_product` (
 `id_voting` int UNSIGNED NOT NULL,
 `id_product` int UNSIGNED NOT NULL,
 PRIMARY KEY (`id_voting`,`id_product`),
 KEY (`id_product`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_shop` (
 `id_voting` int UNSIGNED NOT NULL,
 `id_shop` int UNSIGNED NOT NULL,
 PRIMARY KEY (`id_voting`,`id_shop`),
 KEY (`id_shop`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'voting_vote` (
 `id_voting_vote` int UNSIGNED NOT NULL AUTO_INCREMENT,
 `id_voting` int UNSIGNED NOT NULL,
 `dismissed` tinyint UNSIGNED NOT NULL DEFAULT 0,
 `id_voting_option` int UNSIGNED NOT NULL,
 `id_customer` int UNSIGNED NOT NULL DEFAULT 0,
 `id_guest` int UNSIGNED NOT NULL DEFAULT 0,
 `ip_address` bigint DEFAULT NULL,
 `date_add` datetime NOT NULL,
 PRIMARY KEY (`id_voting_vote`),
 KEY `id_voting` (`id_voting`),
 KEY `dismissed` (`dismissed`),
 KEY `id_voting_option` (`id_voting_option`),
 KEY `id_customer` (`id_customer`),
 KEY `id_guest` (`id_guest`),
 KEY `ip_address` (`ip_address`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;';

return $sql;